package org.springblade.manager.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.manager.entity.ArchiveTree;
import org.springblade.manager.vo.ArchiveTreeVO;



import java.util.Objects;

/**
 * Warpper
 *
 * @author liuyc
 * @since 2022-05-16
 */
public class ArchiveTreeWrapper extends BaseEntityWrapper<ArchiveTree, ArchiveTreeVO> {

    public static ArchiveTreeWrapper build() {
        return new ArchiveTreeWrapper();
    }

    @Override
    public ArchiveTreeVO entityVO(ArchiveTree archiveTree) {
        ArchiveTreeVO archiveTreeVO = Objects.requireNonNull(BeanUtil.copy(archiveTree, ArchiveTreeVO.class));

        return archiveTreeVO;
    }
}
